#import <iostream>
#import <cmath>
#import <string>
using namespace std;

int main(){
    string t, s;
    cin >> t >> s;
    int lt = t.length();
    int ls = s.length();
    int broj_zvezdica = 0;
    int broj_a = 0;
    for(int i = 0; i < lt; i++){
        if(t[i] == s[0]){
            broj_a++;
            if(broj_a >= ls){
                t[i] = '*';
                broj_zvezdica++;
            }
        }
    }
    cout << broj_zvezdica << endl << t;
}